%define name Borges
%define version 0.14.2
%define release 1mdk

Summary: Mandriva Linux Documents Management System
Name: %{name}
Version: %{version}
Release: %{release}
Requires: %{name}-module
Requires: libxslt-proc
Requires: make
Requires: perl
Requires: perl-XML-Twig
Requires: perl-XML-Parser
Requires: perl-DateManip
Requires: perl-XML-LibXML
Requires: ImageMagick
Requires: xfig
#Requires: tidy
Conflicts: Borges-Frontend < 0.12.2
Url: http://www.mandrivalinux.com/en/doc/project/Borges/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Publishing
BuildRequires: libxslt-proc
BuildRequires: perl-DateManip
BuildRequires: perl-XML-LibXML
BuildRequires: perl-XML-Twig
BuildRequires: ImageMagick
BuildRequires: xfig
BuildRequires: jadetex
BuildRequires: docbook-style-dsssl
BuildRequires: docbook-style-xsl
BuildRequires: docbook-dtd42-xml
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArch: noarch

%define INSTALLDIR /usr/share/%{name}/

%description

Borges is a content production system aimed at creating documents in
many languages. Its design goals are internationalization,
flexibility, reusable content, teamwork. The system can currently be
used for any project using documents based on the DocBook XML DTD.

%package DocBook
Summary: The Borges DocBook module 
Group: Publishing
Provides: Borges-module
Requires: Borges
Requires: docbook-dtd42-xml
Requires: docbook-style-xsl
Requires: docbook-style-dsssl
Requires: tetex-latex
Requires: jadetex
Requires: openjade

%description DocBook
This package contains the DocBook module for the Borges Documents
Management System.
It holds the different files allowing to handle documents written with
the DocBook XML DTD.


%package Frontend
Summary: The BorgesWeb frontend
Group: Publishing
Requires: Borges
Requires: apache2-mod_suexec

%description Frontend
This package contains the Web frontend for the Borges Documents
Management System.
It is an HTML interface allowing users to upload or edit inline the
different modules they have tasks assigned on. It then commits
modifications to CVS and eventually pass associated task.


%package doc
Summary: The Borges DMS documentation
Group: Publishing

%description doc
This package contains the documentation and the documentation sources
for the Borges Documents Management System. The doc is written with
Borges so the sources included can be regarded as a tutorial for
learning how to use Borges.

%prep
%setup -q

%build
%makeinstall PREFIX=$(pwd)/installdir/ REALDESTDIR=$(pwd)/installdir/usr/share/Borges/
make DESTDIR=$(pwd)/installdir/usr/share/Borges/ REALDESTDIR=$(pwd)/installdir/usr/share/Borges/

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT/
rm -f $RPM_BUILD_ROOT/usr/share/Borges/backend/Makefile.TDB
rm -f $RPM_BUILD_ROOT/usr/share/Borges/template/drivers/TDB-tex.xsl
find doc/ -name .cvsignore -exec rm -f {} \;
find doc/ -name \*.validate -exec rm -f {} \;
find doc/ -type f -empty -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README VERSION TODO CHANGELOG
%dir %{INSTALLDIR}
# version management stylesheets
%dir %{INSTALLDIR}/XSL
%{INSTALLDIR}/XSL/bigbrother.xsl
%{INSTALLDIR}/XSL/bigbrother-todos.xsl
%{INSTALLDIR}/XSL/extract_ids.xsl
%{INSTALLDIR}/XSL/gather_revhistories.xsl
%{INSTALLDIR}/XSL/summarize_tasks.xsl
%{INSTALLDIR}/XSL/db2omf.xsl
%{INSTALLDIR}/XSL/extract_revisions.xsl
%{INSTALLDIR}/XSL/docs_index.xsl
%{INSTALLDIR}/XSL/filter.xsl
%{INSTALLDIR}/XSL/report_summary.xsl
%{INSTALLDIR}/XSL/todo_tasks.xsl
%{INSTALLDIR}/XSL/list_modules.xsl
# management perl/shell scripts.xsl
%dir %{INSTALLDIR}/bin
%{INSTALLDIR}/bin/*.sh
%{INSTALLDIR}/bin/configure
%{INSTALLDIR}/bin/*.pl
%{INSTALLDIR}/bin/diff2html
# Utilities
%dir %{INSTALLDIR}/utils
%{INSTALLDIR}/utils/*
# Makefile structure
%dir %{INSTALLDIR}/backend
%{INSTALLDIR}/backend/cvsignore.*
%{INSTALLDIR}/backend/Makefile.entities
%{INSTALLDIR}/backend/Makefile.src.images
%{INSTALLDIR}/backend/Makefile.reports
%{INSTALLDIR}/backend/Makefile.onemodule.include
%{INSTALLDIR}/backend/Makefile.module
%{INSTALLDIR}/backend/Makefile.manual.include
%{INSTALLDIR}/backend/Makefile.manual
%{INSTALLDIR}/backend/Makefile.include.in
%{INSTALLDIR}/backend/Makefile.images
# System implementation template
%dir %{INSTALLDIR}/template/
%dir %{INSTALLDIR}/template/conf/
%dir %{INSTALLDIR}/template/drivers/
%{INSTALLDIR}/template/conf/*
%{INSTALLDIR}/template/images
%{INSTALLDIR}/backend/psgml-top.xml
%{INSTALLDIR}/template/Makefile
%{INSTALLDIR}/template/README
%{INSTALLDIR}/VERSION
%{INSTALLDIR}/README
%{INSTALLDIR}/LICENSE
%{INSTALLDIR}/COPYING
# Sample document
%dir %{INSTALLDIR}/Sample
%{INSTALLDIR}/Sample/*
# %{INSTALLDIR}/Sample/en/*


%files DocBook
%defattr(-,root,root)
%{INSTALLDIR}/template/drivers/docbook-*sl
%{INSTALLDIR}/backend/Makefile.DB

%files Frontend
%defattr(-,root,root)
%{INSTALLDIR}/bin/web-frontend.cgi

%files doc
%defattr(-,root,root)
%doc README VERSION TODO CHANGELOG LICENSE COPYING doc


%changelog
* Wed Aug 17 2005 Camille Begnis <camille@mandriva.com> 0.14.2-1mdk
- 0.14.2

* Tue Aug 16 2005 Camille Begnis <camille@mandriva.com> 0.14.1-1mdk
- 0.14.1

* Wed Jul 20 2005 Camille Begnis <camille@mandriva.com> 0.14.0-1mdk
- 0.14.0: migrate to UTF-8

* Fri Feb 11 2005 Camille Begnis <camille@mandrakesoft.com> 0.13.0-1mdk
- 0.13.0

* Tue Feb  8 2005 Camille Begnis <camille@mandrakesoft.com> 0.12.9-1mdk
- 0.12.9

* Wed Jan 12 2005 Camille Begnis <camille@mandrakesoft.com> 0.12.8-1mdk
- 0.12.8

* Mon Sep 27 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.7-1mdk
- 0.12.7

* Tue Aug 31 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.6-1mdk
- 0.12.6

* Tue Aug 24 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.5-1mdk
- 0.12.5

* Wed Aug 18 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.4-1mdk
- 0.12.4

* Mon May 10 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.3-1mdk
- 0.12.3

* Tue Mar 23 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.2-1mdk
- 0.12.2

* Thu Feb 12 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.1-1mdk
- 0.12.1

* Fri Jan  9 2004 Camille Begnis <camille@mandrakesoft.com> 0.12.0-1mdk
- 0.12.0

* Mon Jan  5 2004 Camille Begnis <camille@mandrakesoft.com> 0.11.2-1mdk
- 0.11.2

* Wed Dec 31 2003 Stefan van der Eijk <stefan@eijk.nu> 0.11.1-2mdk
- BuildRequires

* Tue Dec 30 2003 Camille Begnis <camille@mandrakesoft.com> 0.11.1-1mdk
- 0.11.1

* Mon Dec 29 2003 Camille Begnis <camille@mandrakesoft.com> 0.11.0-1mdk
- 0.11.0

* Fri Dec 12 2003 Camille Begnis <camille@mandrakesoft.com> 0.10.0-1mdk
- 0.10.0
- \%make was giving errors, replaced by make

* Wed Sep  3 2003  <camille@ke.mandrakesoft.com> 0.9.3-3mdk
- minor update

* Wed Aug 27 2003  <camille@ke.mandrakesoft.com> 0.9.3-2mdk
- Compile with proper ghostscript

* Wed Aug 27 2003  <camille@ke.mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Mon Aug 11 2003  <camille@ke.mandrakesoft.com> 0.9.2-1mdk
- 0.9.2

* Fri Aug  1 2003  <camille@ke.mandrakesoft.com> 0.9.1-2mdk
- Fix BuildRequires
- Remove Borges Require from doc

* Tue Jul 29 2003  <camille@ke.mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Jun 12 2003  <camille@ke.mandrakesoft.com> 0.9.0-2mdk
- minor bugix
- update description

* Wed Jun 11 2003  <camille@ke.mandrakesoft.com> 0.9.0-1mdk
- 0.9.0
- Added utils dir

* Wed May  7 2003  <camille@ke.mandrakesoft.com> 0.8.3-1mdk
- 0.8.3: bugfixes, optimizations, minor feature

* Tue Apr 29 2003  <camille@ke.mandrakesoft.com> 0.8.2-1mdk
- 0.8.2: bugfixes

* Thu Apr 24 2003  <camille@ke.mandrakesoft.com> 0.8.1-1mdk
- 0.8.1
- Added configure script and use it

* Tue Apr  1 2003  <camille@ke.mandrakesoft.com> 0.8.0-1mdk
- 0.8.0
- dia not supported anymore (removed require)
- New directories structure

* Thu Jan 30 2003  <camille@ke.mandrakesoft.com> 0.7.12-1mdk
- 0.7.12 (bugfixes)

* Thu Jan 30 2003  <camille@ke.mandrakesoft.com> 0.7.11-1mdk
- 0.7.11

* Tue Jan 28 2003  <camille@ke.mandrakesoft.com> 0.7.10-1mdk
- 0.7.10

* Thu Jan  9 2003  <camille@ke.mandrakesoft.com> 0.7.9-1mdk
- 0.7.9

* Thu Dec 26 2002 Stefan van der Eijk <stefan@eijk.nu> 0.7.8-2mdk
- BuildRequires

* Wed Dec 18 2002  <camille@ke.mandrakesoft.com> 0.7.8-1mdk
- 0.7.8

* Fri Dec 13 2002  <camille@ke.mandrakesoft.com> 0.7.7c-1mdk
- 0.7.7.c

* Fri Dec 13 2002  <camille@ke.mandrakesoft.com> 0.7.7b-1mdk
- 0.7.7b

* Fri Dec 13 2002  <camille@ke.mandrakesoft.com> 0.7.7a-1mdk
- 0.7.7a released for Cooker perl-XML-Twig fixes

* Mon Dec  9 2002  <camille@ke.mandrakesoft.com> 0.7.7-2mdk
- removed BuildRequires: Borges
- install on temporary dir first to be able to compile doc

* Fri Dec  9 2002 Camille Begnis <camille@ke.mandrakesoft.com> 0.7.7-1mdk
- 0.7.7
- BuildRequires: Borges

* Fri Nov 22 2002 Camille Begnis <camille@ke.mandrakesoft.com> 0.7.6-1mdk
- 0.7.6
- Added ImageMagick dependency
- fixed "Installed (but unpackaged) file(s)"

* Tue Nov 12 2002  <camille@ke.mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Thu Nov  7 2002  <camille@ke.mandrakesoft.com> 0.7.4-1mdk
- 0.7.4

* Tue Oct  8 2002  <camille@ke.mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Fri Sep  6 2002  <camille@ke.mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Thu Sep  5 2002  <camille@ke.mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Thu Aug 22 2002  <camille@ke.mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Tue Aug 20 2002  <camille@ke.mandrakesoft.com> 0.6.9-1mdk
- 0.6.9

* Fri Aug 16 2002 Camille Bgnis <camille@norman.mandrakesoft.com> 0.6.8-1mdk
- Install in /usr/share/ rather than /opt/

* Fri Aug 16 2002 Camille Bgnis <camille@norman.mandrakesoft.com> 0.6.7-2mdk
- ADD perl-XML-Parser dep.

* Wed Aug 14 2002 Camille Bgnis <camille@norman.mandrakesoft.com> 0.6.7-1mdk
- Fabian: 0.6.7
- Fix compilation with unicode in perl 5.8

* Mon Jul 29 2002 Camille Bgnis <camille@home.begnis.org> 0.6.6-1mdk
- 0.6.6 (optim)

* Fri Jul 26 2002 Camille Bgnis <camille@home.begnis.org> 0.6.5-1mdk
- 0.6.5 (added addddoc and addlang targets)

* Fri Jun 28 2002 Camille Bgnis <camille@home.begnis.org> 0.6.4-1mdk
- 0.6.4 (updated doc)
- Added tetex-latex dependency

* Thu Jun 27 2002 Camille Bgnis <camille@home.begnis.org> 0.6.3-1mdk
- 0.6.3 (bugfixes)

* Mon Jun 10 2002 Camille Bgnis <camille@home.begnis.org> 0.6.2-1mdk
- 0.6.2

* Fri Jun  7 2002 Camille Bgnis <camille@home.begnis.org> 0.6.1-2mdk
- 0.6.1

* Thu Jun  6 2002 Camille Bgnis <camille@home.begnis.org> 0.6.0-2mdk
- adjust requires with newer TDB packages

* Thu Jun  6 2002 Camille Bgnis <camille@home.begnis.org> 0.6.0-1mdk
- Make the system work with TDB module and documents
- minor bugfixes and improvements
- trap EXIT code when making images so that virtual X server 
  never stays running

* Tue Jun  4 2002 Camille Bgnis <camille@home.begnis.org> 0.5.5-1mdk
- 0.5.5

* Fri May 31 2002 Camille Bgnis <camille@home.begnis.org> 0.5.4-1mdk
- 0.5.4

* Fri May 31 2002 Camille Bgnis <camille@home.begnis.org> 0.5.3-1mdk
- 0.5.3
- the Sample dir were missing...

* Thu May 30 2002 Camille Bgnis <camille@home.begnis.org> 0.5.2-1mdk
- 0.5.2
- Moved doc to a separate package

* Tue May 28 2002 Camille Bgnis <camille@home.begnis.org> 0.5.1-1mdk
- See CHANGELOG
- Added perl-XML-LibXML required

* Fri May 24 2002 Camille Bgnis <camille@home.begnis.org> 0.5.0-1mdk
- See CHANGELOG

* Thu May 23 2002 Camille Bgnis <camille@home.begnis.org> 0.4.6-1mdk
- moved TDB stuff to anothe package/CVS
- 0.4.6: little bugfix in template creation (Makefile.manual.include)

* Tue May 21 2002 Camille Bgnis <camille@home.begnis.org> 0.4.5-1mdk
- Bugfixes for custom Makefile.include

* Fri May 17 2002 Camille Bgnis <camille@home.begnis.org> 0.4.4-1mdk
- Add many more elements to be indexed
- Fix ugly XML formatting during adding TDs

* Thu May 16 2002 Camille Bgnis <camille@home.begnis.org> 0.4.3-1mdk
- IDs are assigned to most elements containing #PCDATA
- bugfix in change_revision


* Tue May 14 2002 Camille Bgnis <camille@home.begnis.org> 0.4.2-1mdk
- mails generation working
- bugfix in revision change

* Tue May 14 2002 Camille Bgnis <camille@home.begnis.org> 0.4.1-1mdk
- scatter ids when pproof, not write
- do not erase module when scattering IDs if not valid module

* Mon May 13 2002 Camille Bgnis <camille@home.begnis.org> 0.4.0-1mdk
- add a make all target un reports/
- fix i18n bug
- now no more suffices for compiling in DocBook

* Fri May 10 2002 Camille Bgnis <camille@home.begnis.org> 0.3.7-1mdk
- Fix module IDs scattering

* Mon May  6 2002 Camille Bgnis <camille@home.begnis.org> 0.3.6-1mdk
- Apart bugfixes, add the possibility to compile HTML
  chunked output (does not work correctly yet)

* Tue Apr 30 2002 Camille Bgnis <camille@home.begnis.org> 0.3.5-1mdk
- better PNG images handling
- epstopdf from newer tetex now works
- better handling of module templates and revhistory

* Mon Apr 29 2002 Camille Bgnis <camille@home.begnis.org> 0.3.4-1mdk
- Fix bug in modules report generation

* Sat Apr 27 2002 Camille Bgnis <camille@home.begnis.org> 0.3.3-1mdk
- Fix error when there are no modules
- Fix lang changes

* Fri Apr 26 2002 Camille Bgnis <camille@home.begnis.org> 0.3.2-1mdk
- Fix Timezone problems with perl Date::Manip

* Fri Apr 26 2002 Camille Bgnis <camille@home.begnis.org> 0.3.1-1mdk
- Fix templates not made bug reported by Fabian

* Thu Apr 25 2002 Camille Bgnis <camille@home.begnis.org> 0.3.0-1mdk
- Reports now work

* Wed Apr 24 2002 Camille Bgnis <camille@home.begnis.org> 0.2.2-2mdk
- Ooops forgot Makefile.manual.include

* Tue Apr 23 2002 Camille Bgnis <camille@home.begnis.org> 0.2.2-1mdk
- 0.2.2: Add customization features to make it work with MDK manuals

* Sat Apr 20 2002 Camille Bgnis <camille@home.begnis.org> 0.2.1-1mdk
- Add a new DocBook example

* Thu Apr 18 2002 Camille Bgnis <camille@home.begnis.org> 0.2.0-1mdk
- add global entities and more graphic formats handling
- requires xfig, dia, Xvfb (dia sucks)
- Ooops switched DocBook and TDB packages files :-)

* Mon Apr 15 2002 Camille Bgnis <camille@home.begnis.org> 0.1.1-1mdk
- Little update to allow various outputs with different stykesheets

* Fri Apr 12 2002 Camille Bgnis <camille@koth.begnis.home> 0.1-2mdk
- Small bugfixes
- Add XML::Twig require

* Wed Apr  3 2002 Camille Bgnis <camille@koth.begnis.home> 0.1-1mdk
- First drafts...


# end of file
